# Byte-compiled / optimized / DLL files
__pycache__/
*.py[cod]
*$py.class

# C extensions
*.so

# Virtual environment
venv/
env/
ENV/
.venv/
.ENV/

# pipenv
Pipfile
Pipfile.lock

# Poetry
poetry.lock
poetry.toml

# Pyre type checker
.pyre/

# Mypy type checker
.mypy_cache/
.dmypy.json
dmypy.json

# Pytest
.pytest_cache/

# Coverage reports
htmlcov/
.coverage
.coverage.*
.cache
nosetests.xml
coverage.xml
*.cover
*.py,cover

# Jupyter Notebook
.ipynb_checkpoints

# IDEs
.idea/
.vscode/
.vscode/*
!.vscode/extensions.json

# macOS
.DS_Store

# Logs
logs/
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*
lerna-debug.log*

# Local environment variables
.env
.env.*
*.env

# Docker
*.pid
*.seed
*.pid.lock
docker-compose.override.yml

# Build files
build/
dist/
dist-ssr/
*.egg-info/
.eggs/
*.whl

# Sphinx documentation
docs/_build/

# PyInstaller
*.manifest
*.spec

# Celery
celerybeat-schedule
celerybeat.pid

# Django stuff:
*.sqlite3
db.sqlite3

# Flask stuff:
instance/
.webassets-cache

# FastAPI specific
*.db

# Node.js
node_modules/
*.local

# Editor files
*.suo
*.ntvs*
*.njsproj
*.sln
*.sw?

*.mp3